#!/bin/bash

source ~/gitsearch2/gitsearch/src/main/docker/.env
echo $CI_BUILD_TOKEN

export GITBRANCH=test
export SPRING_PROFILES_ACTIVE=staging,swagger
export MAVEN_USER_HOME=`pwd`/.maven && ./mvnw package -DskipTests jib:build -Djib.to.image=sharing-codeability.uibk.ac.at:5051/sharing/codeability-sharing-platform/gitsearch/test -Djib.to.auth.username=gitlab-ci-token  -Djib.to.auth.password=$CI_BUILD_TOKEN -Dmaven.repo.local=$MAVEN_USER_HOME
cd ~/gitsearch2/gitsearch/src/main/docker/
docker pull sharing-codeability.uibk.ac.at:5051/sharing/codeability-sharing-platform/gitsearch/test
docker-compose -f gitsearch.yml up  -d --build --force-recreate gitsearch-app

